<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<div class="col-mb-12 col-offset-1 col-3 kit-hidden-tb" id="secondary" role="complementary">
    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowRecentPosts', $this->options->sidebarBlock)): ?>
    <section class="widget">
		<h3 class="widget-title"><?php _e('最新文章'); ?></h3>
        <ul class="widget-list">
            <?php $this->widget('Widget_Contents_Post_Recent')
            ->parse('<li><a href="{permalink}">{title}</a></li>'); ?>
        </ul>
    </section>
    <?php endif; ?>

    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowRecentComments', $this->options->sidebarBlock)): ?>
    <section class="widget">
		<h3 class="widget-title"><?php _e('最近回复'); ?></h3>
        <ul class="widget-list">
        <?php $this->widget('Widget_Comments_Recent')->to($comments); ?>
        <?php while($comments->next()): ?>
            <li><a href="<?php $comments->permalink(); ?>"><?php $comments->author(false); ?></a>: <?php $comments->excerpt(35, '...'); ?></li>
        <?php endwhile; ?>
        </ul>
    </section>
    <?php endif; ?>

    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowCategory', $this->options->sidebarBlock)): ?>
    <section class="widget">
		<h3 class="widget-title"><?php _e('分类'); ?></h3>
        <?php $this->widget('Widget_Metas_Category_List')->listCategories('wrapClass=widget-list'); ?>
	</section>
    <?php endif; ?>

    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowArchive', $this->options->sidebarBlock)): ?>
    <section class="widget">
		<h3 class="widget-title"><?php _e('归档'); ?></h3>
        <ul class="widget-list">
            <?php $this->widget('Widget_Contents_Post_Date', 'type=month&format=F Y')
            ->parse('<li><a href="{permalink}">{date}</a></li>'); ?>
        </ul>
	</section>
    <?php endif; ?>
    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowLinks', $this->options->sidebarBlock)): ?>
	<section class="widget">
		<h3 class="widget-title"><?php _e('链接'); ?></h3>
        <ul class="widget-list">
         <li><a href="https://hev.cc/" target="_blank" title="Heiher's Blog">Heiher's Blog</a></li>
	  <li><a href="http://www.uloli.com/" target="_blank" title="Key君的理想鄉">Key君的理想鄉</a></li>
	  <li><a href="http://www.wang3feng.com/" target="_blank" title="王3峰">王3峰</a></li>
	  <li><a href="http://www.nginx.cn/" target="_blank" title="运维与架构">运维与架构</a></li>
	  <li><a href="http://witmax.cn/" target="_blank" title="枫芸志">枫芸志</a></li>
	  <li><a href="http://catinmay.com/" target="_blank" title="五月里徜徉的小猫咪">五月里徜徉的小猫咪</a></li>
	  <li><a href="http://www.iqlinkus.net/home?referral=CD14D58CE62BA91C9F3EB26D05EEAE56" target="_blank" title="VPN">VPN</a></li>
	  <li><a href="http://www.tuccuay.com/" target="_blank" title="Tuccuay's Blog">Tuccuay's Blog</a></li>
	  <li><a href="http://www.xnbing.org/" target="_blank" title="开水白">开水白</a></li>
	  <li><a href="http://shop66348738.taobao.com/" target="_blank" title="依恋时尚">依恋时尚</a></li>
	  <li><a href="http://shop108729118.taobao.com/" target="_blank" title="VPS合租">VPS合租</a></li>    
        </ul>
	</section>
    <?php endif; ?>
    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowOther', $this->options->sidebarBlock)): ?>
	<section class="widget">
		<h3 class="widget-title"><?php _e('其它'); ?></h3>
        <ul class="widget-list">
            <?php if($this->user->hasLogin()): ?>
				<li class="last"><a href="<?php $this->options->adminUrl(); ?>"><?php _e('进入后台'); ?> (<?php $this->user->screenName(); ?>)</a></li>
                <li><a href="<?php $this->options->logoutUrl(); ?>"><?php _e('退出'); ?></a></li>
            <?php else: ?>
                <li class="last"><a href="<?php $this->options->adminUrl('login.php'); ?>"><?php _e('登录'); ?></a></li>
            <?php endif; ?>
            <li><a href="<?php $this->options->feedUrl(); ?>"><?php _e('文章 RSS'); ?></a></li>
            <li><a href="<?php $this->options->commentsFeedUrl(); ?>"><?php _e('评论 RSS'); ?></a></li>
            <li><a href="<?php $this->options->siteUrl(); ?>sitemap.xml"><?php _e('Sitemap'); ?></a></li>
        </ul>
	</section>
    <?php endif; ?>

</div><!-- end #sidebar -->
